### File

`packages/eui/packages/components-next/src/lib/layout/eui-language-selector/modal-selector/modal-selector.component.ts`

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-modal-selector`
styleUrls | `../_styles/_index.scss`
templateUrl | `./modal-selector.component.html`

### Index

###### Properties
additionaLanguageRows Public config languageRows
###### Methods
selectLanguage

### Constructor

`constructor(euiDialogService: EuiDialogService, config: literal type)`
Parameters :
Name | Type | Optional
euiDialogService | `EuiDialogService` | No
config | `literal type` | No

### Methods

selectLanguage
`selectLanguage(languageCode: UxLanguage)`
Parameters :
Name | Type | Optional
languageCode | `UxLanguage` | No
Returns : `void`

### Properties

additionaLanguageRows
Type : `UxLanguage[][]`
Default value : `[]`

Public config
Type : `literal type`
Decorators : `@Inject(DYNAMIC_COMPONENT_CONFIG)`

languageRows
Type : `UxLanguage[][]`
Default value : `[]`

# result-matching ""

# No results matching ""